PUT
/api/v2/referrals/programs/{programId}/community/policyPUT /api/v2/referrals/programs/{programId}/community/policy
Authentication
Send your API key in the x-api-key header on every request.
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| programId (path) | string (uuid) | Yes |
Request body
application/json
| Field | Type | Required | Description |
|---|---|---|---|
| Enabled | boolean | Yes | |
| Revision | unknown | Yes | |
| CommunityL2Bps | unknown | No | |
| CommunityL3Bps | unknown | No | |
| LeaderL2Bps | unknown | No | |
| LeaderL3Bps | unknown | No |
Responses
200 — OK
| Field | Type | Required | Description |
|---|---|---|---|
| Enabled | boolean | Yes | |
| Revision | unknown | Yes | |
| BudgetBps | unknown | Yes | |
| CommunityL2Bps | unknown | Yes | |
| CommunityL3Bps | unknown | Yes | |
| LeaderL2Bps | unknown | Yes | |
| LeaderL3Bps | unknown | Yes | |
| DirectRewardBps | unknown | No | |
| AvailableCommunityBps | unknown | No | |
| HasTopupMargin | boolean | No |
Example request
curl -X PUT "https://{base_url}/api/v2/referrals/programs/{programId}/community/policy" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"Enabled":"…","Revision":"…"}'This page is generated from the live OpenAPI specification and always matches the current API.